{% extends "base.html.twig" %}

{% block body %}
    <div class="posts">
        <div class="posts-inner list-layout">

            {% for article in articles %}
                <article class="post">
                    <div class="post-media" style="background-image: url({{ asset(article.imagePath) }})">
                        <a href="{{ path('article.show',{slug:article.slug}) }}">
                            <img src="{{ asset(article.imagePath) }}" alt="{{ article.title }}">
                        </a>
                    </div>
                    <div class="post-content">
                        <div class="post-header">
                            <h2 class="title">
                                <a href="{{ path('article.show',{slug:article.slug}) }}">{{ article.title }}</a>
                            </h2>

                            <!-- Post Details -->
                            <div class="post-details">
                                <div class="post-cat">
                                    <a href="#">{{ article.category }}</a>
                                </div>
                                <a href="#" class="post-date"><span>{{ article.publishedAt ? article.publishedAt|ago }}</span></a>
                                <div class="post-details-child">
                                    <a href="#" class="post-views">{{ article.viewsCount }}</a>
                                    <a href="#" class="post-comments">{{ article.nonDeletedComments|length }}</a>
                                    <div class="post-share-icon">
                                        <ul>
                                            <li><a href="#"><i class="fa fa-facebook"></i><span>Facebook</span></a></li>
                                            <li><a href="#"><i class="fa fa-google"></i><span>Google Plus</span></a></li>
                                            <li><a href="#"><i class="fa fa-twitter"></i><span>Twitter</span></a></li>
                                            <li><a href="#"><i class="fa fa-behance"></i><span>Behance</span></a></li>
                                            <li><a href="#"><i class="fa fa-dribbble"></i><span>Dribbble</span></a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <!-- End Post Details -->
                        </div>
                        <!-- The Content -->
                        <div class="the-excerpt">
                            <p>Morbi leo enim, laoreet eget urna id, ullamcorper condimentum urna. Curabitur accumsan sem et nisi ultricies porttitor...
                            </p>
                        </div>
                        <!-- End The Content -->
                        <div class="read-more">
                            <a href="{{ path('article.show',{slug:article.slug}) }}">Continue Reading ...</a>
                        </div>
                    </div>

                </article>
            {% endfor %}

        </div>

    </div>
{% endblock %}